//SPI matrix code with emulated SPI


#include "nstdlib.h"
#include "olduino.h"



void mysetqOn(){
	asm("	seq\n");
}

	//;quick notes
	//;CS = N0
	//;CLK = N1
	//;DIN = N2
	
	//;CS = OUT 1 its active low, so we dont need this
	//;CLK = OUT 2
	//;DIN = OUT 4
	//; DIN + CLK = OUT 6

void SPISEND(byte sendData){
	
	// Shift out the data MSB (Most Significant Bit) first
  for (int i = 7; i >= 0; --i) {
    //digitalWrite(MOSI_PIN, (sendData >> i) & 1); // Set MOSI pin according to the current bit
	
	if(sendData >> i & 1 == 1){
		out(6,0); //set clock and data high
	}else{
		
		out(2,0); //only clock high
		
	}
	
    //digitalWrite(SCK_PIN, HIGH);                // Toggle SCK pin to shift the data
    //digitalWrite(SCK_PIN, LOW);
  }
}



void main()
{
	
	
}

#include "olduino.c" //for the delay routine
